Skip to content
GAMPEONCreate
New project

Remove or restore a post without a report

POST
/v1/moderation/posts/{id}/decision
curl --request POST \
--url https://api.gampeon.com/v1/moderation/posts/1/decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "action": "remove", "statementOfReasons": "example", "legalGround": "example" }'

For example during a spam wave. Always with a statement of reasons, which the author sees.

Requires the role moderator or admin.

Not available with access tokens.

id
required
integer
>= 1

Post ID

Media typeapplication/json
object
action
required
string
Allowed values: remove restore
statementOfReasons
required

Statement of reasons, shown to the author (Art. 17 DSA)

string
>= 20 characters <= 5000 characters
legalGround
string
<= 500 characters

Decided

Media typeapplication/json
object
decisionId
required
string
action
required
string

Example generated

{
"decisionId": "example",
"action": "example"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: forbidden, token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: already_removed, not_removed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback